Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# _dbiIndexSet Struct Reference
[DBI.]

`#include <rpmdb.h>`

## Data Fields
_dbiIndexItem * | recs
int | count

## Detailed Description

Items retrieved from the index database.

Definition at line 35 of file rpmdb.h.

## Field Documentation

int _dbiIndexSet::count

| number of records Definition at line 37 of file rpmdb.h. Referenced by dbiAppendSet(), dbiIndexSetCount(), dbiPruneSet(), dbiSearch(), dbiUpdateIndex(), and rpmdbGrowIterator().

struct _dbiIndexItem* _dbiIndexSet::recs

| array of records Definition at line 36 of file rpmdb.h. Referenced by dbiAppendSet(), dbiFreeIndexSet(), dbiIndexRecordFileNumber(), dbiIndexRecordOffset(), dbiPruneSet(), dbiSearch(), dbiUpdateIndex(), and rpmdbGrowIterator().

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h